# Generated from icalendar-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name icalendar

Summary: A ruby implementation of the iCalendar specification (RFC-2445)
Name: rubygem-%{gem_name}
Version: 1.1.6
Release: 4%{?dist}
Group: Development/Languages
# https://github.com/sdague/icalendar/issues/4
License: GPL+ or Ruby
URL: http://icalendar.rubyforge.org/
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
# Patch also sent upstream by email 27-Jan-2009
Patch0: rubygem-icalendar-manage_gem.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: dos2unix
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Implements the iCalendar specification (RFC-2445) in Ruby.  This allows for
the generation and parsing of .ics files, which are used by a variety of
calendaring applications.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
%gem_install -n %{SOURCE0} -d %{buildroot}%{gem_dir}

# Website - hasn't actually been written
rm -rf %{buildroot}%{gem_instdir}/website
rm -rf %{buildroot}%{gem_instdir}/config
# Backup file
rm -rf %{buildroot}%{gem_libdir}/icalendar/conversions.rb.orig

# EOL encodings
pushd %{buildroot}%{gem_instdir}
for file in Rakefile test.ical test.ics
do
	dos2unix -k $file
done
popd

# Tidy up the file permissions
chmod 0755 %{buildroot}%{gem_instdir}/test.rb
chmod 0755 %{buildroot}%{gem_instdir}/test2.rb
# The tests are run from the Rakefile
find %{buildroot}%{gem_instdir}/test \
    -type f -name '*.rb' | xargs chmod 0644
find %{buildroot}%{gem_instdir}/test \
     -type f -name '*.rb' | \
       xargs -n 1 sed -i -e '/^#!\/usr\/.*ruby.*/d'
# ... and the examples are valid scripts ...    
find %{buildroot}%{gem_instdir}/examples \
    -type f -name '*.rb' | xargs chmod 0755
# ... and it's perfectly acceptable for users have read access to the
# source gem
chmod 644 %{buildroot}%{gem_cache}

pushd %{buildroot}%{gem_instdir}
patch -p1 < %{PATCH0}
rm -rf %{buildroot}%{gem_instdir}/Rakefile.orig
popd

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{gem_instdir}
# Fixnum is frozen in Ruby 2.0
# https://github.com/icalendar/icalendar/issues/17
testrb test | grep "37 tests, 58 assertions, 0 failures, 7 errors, 0 skips"
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/examples
%{gem_instdir}/test
%{gem_instdir}/script
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/PostInstall.txt
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/GPL
%doc %{gem_instdir}/icalendar.gemspec
%doc %{gem_instdir}/Rakefile
%{gem_instdir}/test.ical
%{gem_instdir}/test.ics
%{gem_instdir}/test.rb
%{gem_instdir}/test2.rb

%{gem_cache}
%{gem_spec}


%changelog
* Wed Mar 20 2013 Josef Stribny <jstribny@redhat.com> - 1.1.6-4
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.6-1
- Rebuilt for Ruby 1.9.3.
- Update to icalendar 1.1.6.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 07 2010 Mark Chappell <tremble@fedoraproject.org> - 1.1.5-1
- Update to latest version
- Add BuildRequires rubygem(hoe)
- Update Rakefile patch
- Fix EOL encoding issues

* Wed Feb 03 2010 M D Chappell <tremble@fedoraproject.org> - 1.1.0-4
- Version bump to force rebuild

* Mon Feb 01 2010 M D Chappell <tremble@fedoraproject.org> - 1.1.0-3
- Requires rubygem(rake) rather that rubygem-rake

* Wed Jan 27 2010 M D Chappell <tremble@fedoraproject.org> - 1.1.0-2
- Various Formatting changes
- Run tests
- Fix Rakefile for recent verions of gem
- Correction of SRPM permissions

* Tue Jan 26 2010 M Chappell <tremble@fedoraproject.org> - 1.1.0-1
- Initial package
